<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerPulseObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_tracker_pulse_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerPulseObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_pulse_obj_8h_source.html">TrackerPulseObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackerPulseObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_pulse_obj__inherit__graph.png" border="0" usemap="#eic_1_1_tracker_pulse_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_tracker_pulse_obj_inherit__map" id="eic_1_1_tracker_pulse_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackerPulseObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_pulse_obj__coll__graph.png" border="0" usemap="#eic_1_1_tracker_pulse_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_tracker_pulse_obj_coll__map" id="eic_1_1_tracker_pulse_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_const_tracker_data.html" title="eic::ConstTrackerData" alt="" coords="101,5,256,32"/>
<area shape="rect" id="node4" href="classeic_1_1_tracker_pulse_data.html" title="eic::TrackerPulseData" alt="" coords="280,5,432,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9bfa6d49d279a57326d07967d2e2ea74"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#a9bfa6d49d279a57326d07967d2e2ea74">TrackerPulseObj</a> ()</td></tr>
<tr class="memdesc:a9bfa6d49d279a57326d07967d2e2ea74"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a9bfa6d49d279a57326d07967d2e2ea74">More...</a><br /></td></tr>
<tr class="separator:a9bfa6d49d279a57326d07967d2e2ea74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db39c29ef4233a0eaa7cfbad0c9975c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#a4db39c29ef4233a0eaa7cfbad0c9975c">TrackerPulseObj</a> (const <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> &amp;)</td></tr>
<tr class="memdesc:a4db39c29ef4233a0eaa7cfbad0c9975c"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a4db39c29ef4233a0eaa7cfbad0c9975c">More...</a><br /></td></tr>
<tr class="separator:a4db39c29ef4233a0eaa7cfbad0c9975c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad46703e9d481ac896babbb80af07209b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#ad46703e9d481ac896babbb80af07209b">TrackerPulseObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a> <a class="el" href="classeic_1_1_tracker_pulse_obj.html#aad509f26032559592b69783a87df77e6">data</a>)</td></tr>
<tr class="separator:ad46703e9d481ac896babbb80af07209b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958da7fe7a1805c578d37e30a3e3f02f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#a958da7fe7a1805c578d37e30a3e3f02f">~TrackerPulseObj</a> ()</td></tr>
<tr class="separator:a958da7fe7a1805c578d37e30a3e3f02f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aad509f26032559592b69783a87df77e6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#aad509f26032559592b69783a87df77e6">data</a></td></tr>
<tr class="separator:aad509f26032559592b69783a87df77e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164c03d51ac5a4e47fa9c84a75d565f3"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_obj.html#a164c03d51ac5a4e47fa9c84a75d565f3">m_corrData</a></td></tr>
<tr class="separator:a164c03d51ac5a4e47fa9c84a75d565f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8h_source.html#l00022">22</a> of file <a class="el" href="_tracker_pulse_obj_8h_source.html">TrackerPulseObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9bfa6d49d279a57326d07967d2e2ea74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bfa6d49d279a57326d07967d2e2ea74">&#9670;&nbsp;</a></span>TrackerPulseObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseObj::TrackerPulseObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00007">7</a> of file <a class="el" href="_tracker_pulse_obj_8cc_source.html">TrackerPulseObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">data</a>, and <a class="el" href="_tracker_pulse_obj_8h_source.html#l00035">m_corrData</a>.</p>

</div>
</div>
<a id="a4db39c29ef4233a0eaa7cfbad0c9975c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db39c29ef4233a0eaa7cfbad0c9975c">&#9670;&nbsp;</a></span>TrackerPulseObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseObj::TrackerPulseObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00017">17</a> of file <a class="el" href="_tracker_pulse_obj_8cc_source.html">TrackerPulseObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">data</a>, and <a class="el" href="_tracker_pulse_obj_8h_source.html#l00035">m_corrData</a>.</p>

</div>
</div>
<a id="ad46703e9d481ac896babbb80af07209b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad46703e9d481ac896babbb80af07209b">&#9670;&nbsp;</a></span>TrackerPulseObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseObj::TrackerPulseObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00013">13</a> of file <a class="el" href="_tracker_pulse_obj_8cc_source.html">TrackerPulseObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">data</a>.</p>

</div>
</div>
<a id="a958da7fe7a1805c578d37e30a3e3f02f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958da7fe7a1805c578d37e30a3e3f02f">&#9670;&nbsp;</a></span>~TrackerPulseObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseObj::~TrackerPulseObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00027">27</a> of file <a class="el" href="_tracker_pulse_obj_8cc_source.html">TrackerPulseObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00035">m_corrData</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aad509f26032559592b69783a87df77e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad509f26032559592b69783a87df77e6">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a> eic::TrackerPulseObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">34</a> of file <a class="el" href="_tracker_pulse_obj_8h_source.html">TrackerPulseObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00051">eic::ConstTrackerPulse::cellID0()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00053">eic::TrackerPulse::cellID0()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00052">eic::ConstTrackerPulse::cellID1()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00054">eic::TrackerPulse::cellID1()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00055">eic::ConstTrackerPulse::charge()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00057">eic::TrackerPulse::charge()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00053">eic::ConstTrackerPulse::quality()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00055">eic::TrackerPulse::quality()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00054">eic::ConstTrackerPulse::time()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00056">eic::TrackerPulse::time()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>, and <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00007">TrackerPulseObj()</a>.</p>

</div>
</div>
<a id="a164c03d51ac5a4e47fa9c84a75d565f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164c03d51ac5a4e47fa9c84a75d565f3">&#9670;&nbsp;</a></span>m_corrData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a>* eic::TrackerPulseObj::m_corrData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_obj_8h_source.html#l00035">35</a> of file <a class="el" href="_tracker_pulse_obj_8h_source.html">TrackerPulseObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_8cc_source.html#l00071">eic::TrackerPulse::charge()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00057">eic::ConstTrackerPulse::corrData()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00059">eic::TrackerPulse::corrData()</a>, <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00007">TrackerPulseObj()</a>, and <a class="el" href="_tracker_pulse_obj_8cc_source.html#l00027">~TrackerPulseObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_pulse_obj_8h_source.html">TrackerPulseObj.h</a></li>
<li>src/<a class="el" href="_tracker_pulse_obj_8cc_source.html">TrackerPulseObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
